/*
 *  Defines.h
 *
 *  Created by Bertils mini on 2009-05-01.
 *  Copyright 2009-13 Sork Software. All rights reserved.
 *
 */

#define notificationCenter [NSNotificationCenter defaultCenter]

// Check for system version
// From http://stackoverflow.com/questions/7848766/how-can-we-programmatically-detect-which-ios-version-is-device-running-on?lq=1
#define SYSTEM_VERSION_EQUAL_TO(v)      ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedSame)
#define SYSTEM_VERSION_GREATER_THAN(v)  ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedDescending)
#define SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(v)  ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] != NSOrderedAscending)
#define SYSTEM_VERSION_LESS_THAN(v)     ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedAscending)
#define SYSTEM_VERSION_LESS_THAN_OR_EQUAL_TO(v) ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] != NSOrderedDescending)
/* use like
 if (SYSTEM_VERSION_LESS_THAN(@"5.0")) {
 // code here
 }
 if (SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(@"6.0")) {
 // code here
 }
*/

//#define APP_DELEGATE (SSAppDelegate *)[[UIApplication sharedApplication] delegate]

#define degreesToRadians(x) (M_PI * x / 180.0)
